
cache:
  key: ${CI_JOB_NAME}
  paths:
  - .build/rpmbuilddir-arm/harbour-spoon-cget/

build-armv7hl:
  image: coderus/sailfishos-platform-sdk-armv7hl:4.0.1.45
  stage: build
  tags: [docker]
  variables:
    GIT_FETCH_EXTRA_FLAGS: --tags
  script:
    - sdk-assistant list
    - cp -a . /home/nemo/build
    - pushd /home/nemo/build
    - mb2 -t SailfishOS-4.0.1.45-armv7hl build
    - popd
    - mv /home/nemo/build/RPMS .
    - mv /home/nemo/build/.build/ ./.build/ 2>/dev/null
  artifacts:
    paths:
      - RPMS/*

build-aarch64:
  image: coderus/sailfishos-platform-sdk-aarch64:4.1.0.23
  stage: build
  tags: [docker]
  variables:
    GIT_FETCH_EXTRA_FLAGS: --tags
  script:
    - sdk-assistant list
    - cp -a . /home/nemo/build
    - pushd /home/nemo/build
    - mb2 -t SailfishOS-4.0.1.23-aarch64 build
    - popd
    - mv /home/nemo/build/RPMS .
    - mv /home/nemo/build/.build/ ./.build/ 2>/dev/null
  artifacts:
    paths:
      - RPMS/*
